Bug 551274 - Review Request: akonadi-googledata -Akonadi resources to sync google calendar events and contacts
Review Request: akonadi-googledata -Akonadi resources to sync google calendar...
Status: CLOSED DUPLICATE of bug 711058
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 551258
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-12-29 13:32 EST by Mario Ceresa
Modified: 2011-06-06 09:10 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-10 13:48:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to .spec to get it to build (1.60 KB, patch)
2010-06-02 01:26 EDT, S.A. Hartsuiker
no flags Details | Diff
Output error from rpmbuild -bb akonadi-googledata.spec (4.96 KB, text/plain)
2010-09-09 03:47 EDT, Gianluca Cecchi
no flags Details

  None (edit)
Description Mario Ceresa 2009-12-29 13:32:09 EST
Spec URL: http://mrceresa.fedorapeople.org/akonadi-googledata.spec
SRPM URL: http://mrceresa.fedorapeople.org/akonadi-googledata-1.0.1-1.fc12.src.rpm
Description: This are the akonadi resources to sync google calendar events and contacts. Together with libgcal ( Bug 551258 ) enable every akonadi based application to read/write contacts and calendar from google and google apps accounts.
Comment 1 Mario Ceresa 2009-12-29 13:39:46 EST
Added the NotReady status because it requires package ligcal which is waiting for review under Bug 551258.
Comment 2 Peter Lemenkov 2009-12-29 13:59:20 EST
(In reply to comment #1)
> Added the NotReady status because it requires package ligcal which is waiting
> for review under Bug 551258.  

In fact, we add NotReady only when package has some obvious issues, preventing it from being reviewed formally. 

In this case, you need to properly add dependent and blocking tickets. See the top of his page - "Depends on:" and "Blocks" editboxes.

So, please, clear NotReady tag (of course, if no technical issues with this package exists) and add blocking/dependent tickets instead.
Comment 3 Rex Dieter 2009-12-29 14:01:13 EST
done
Comment 4 leigh scott 2010-01-16 16:29:09 EST
The source url is wrong

Source0:	http://libcal.googlecode.com/files/%{name}-%{version}.tar.bz2


it should be 


Source0:	http://libgcal.googlecode.com/files/%{name}-%{version}.tar.bz2


This could be shortened 

%doc COPYING
%doc README
%doc ChangeLog


to

%doc COPYING README ChangeLog
Comment 5 Mario Ceresa 2010-01-21 10:25:51 EST
@Peter, Rex thanks a lot for explaining and fixing the Blocks/Depends!
@Scott, thanks for your comment, I'll check and fix it soon
Comment 6 Jens Maucher 2010-02-06 15:59:51 EST
You can drop the %{?dist} macro from changelog entries.
Comment 7 Rex Dieter 2010-04-09 10:22:59 EDT
setting fedora-review flag , marking assigned.
Comment 8 Mario Ceresa 2010-04-23 06:44:32 EDT
Hello everybody,
as libgcal has been approved, I'm going to test again the package to see if it builds correctly. News will follow :)

Mario
Comment 9 S.A. Hartsuiker 2010-06-02 01:26:25 EDT
Created attachment 418909 [details]
patch to .spec to get it to build

The original .spec is FTBFS.
I needed this package, so I thought I'd share my spec changes.
I take no responsibility for fedora guideline adherence or anything else of the sort.
Comment 10 Thomas Janssen 2010-06-07 11:09:25 EDT
If you're not interested any more i would take the packages over. I have them already packaged since a long time and in my repo. People are asking for it.

Once you're the maintainer of it i hope you will maintain them more contemporary than here.
Comment 11 Mario Ceresa 2010-06-28 04:51:45 EDT
Hello Thomas!

I'm very sorry for how slow the work on this package went on: if you are willing to help I'd be more than happy to let you step in.

Please tell me if you are still interested to take over the package and what can I do to ease the process.

Best regards,

Mario
Comment 12 Thomas Janssen 2010-06-28 05:46:50 EDT
Quite easy. I finish the review request, means i will make a new SRPM with a fixed spec. nothing to do here for you.

You release the ownership for libgcal there:
https://admin.fedoraproject.org/pkgdb/acls/name/libgcal
and i take it over. Done.

Thank you.
Comment 13 Mario Ceresa 2010-06-28 09:41:23 EDT
Hello Thomas, I just did what you asked and released the ownership of libgcal: please let me know if there is anything else I can do :)

Thanks and regards,

Mario
Comment 14 Rex Dieter 2010-08-06 21:47:48 EDT
Oh gosh, I had set review flag, though I've not followed-through, sorry.  resetting so someone else can jump in to finish the review.

(My apologies, been very short on time/energy of late, I may be able to jump in to help finish this at some later date).
Comment 15 Thomas Janssen 2010-08-07 15:19:32 EDT
I have to say sorry as well. Was busy with my move and fixing bugs for F-14. Will build and update this review tomorrow.
Comment 16 Thomas Janssen 2010-08-08 13:36:26 EDT
SPEC Url: http://thomasj.fedorapeople.org/reviews/akonadi-googledata.spec
SRPM Url: http://thomasj.fedorapeople.org/reviews/akonadi-googledata-1.1.0-1.fc13.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=2388353

[thomas@tusdell SPECS]$ rpmlint akonadi-googledata.spec ../SRPMS/akonadi-googledata-1.1.0-1.fc13.src.rpm ../RPMS/x86_64/akonadi-googledata-*1.1.0*
akonadi-googledata.spec: W: invalid-url Source0: http://libgcal.googlecode.com/files/akonadi-googledata-1.1.0.tar.bz2 HTTP Error 404: Not Found
akonadi-googledata.src: W: spelling-error %description -l en_US kde -> ked, de, ode
akonadi-googledata.src: W: spelling-error %description -l en_US google -> Google, goggle, googly
akonadi-googledata.src: W: spelling-error %description -l en_US joe -> Joe, hoe, jor
akonadi-googledata.src: W: invalid-url Source0: http://libgcal.googlecode.com/files/akonadi-googledata-1.1.0.tar.bz2 HTTP Error 404: Not Found
akonadi-googledata.x86_64: W: spelling-error %description -l en_US kde -> ked, de, ode
akonadi-googledata.x86_64: W: spelling-error %description -l en_US google -> Google, goggle, googly
akonadi-googledata.x86_64: W: spelling-error %description -l en_US joe -> Joe, hoe, jor
akonadi-googledata.x86_64: W: no-manual-page-for-binary akonadi_gcal_resource
akonadi-googledata.x86_64: W: no-manual-page-for-binary akonadi_googledata_resource
akonadi-googledata-debuginfo.x86_64: E: world-writable /usr/src/debug/akonadi-googledata-1.1.0/contacts/ui_GoogleData.h 0666L
akonadi-googledata-debuginfo.x86_64: E: world-writable /usr/src/debug/akonadi-googledata-1.1.0/calendar/ui_GoogleData.h 0666L
3 packages and 1 specfiles checked; 2 errors, 10 warnings.

I haven't found the solution for world-writeable yet.
Comment 17 leigh scott 2010-08-08 17:17:35 EDT
(In reply to comment #16)

> 
> I haven't found the solution for world-writeable yet.    


Try


%cmake \
	-DCMAKE_VERBOSE_MAKEFILE=OFF \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DLIBGCAL_INCLUDE_DIR=%{_includedir}/libgcal
make %{?_smp_mflags}
chmod 644 contacts/ui_GoogleData.h calendar/ui_GoogleData.h

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang akonadi_gcal_resource
Comment 18 Thomas Janssen 2010-08-11 03:57:41 EDT
(In reply to comment #17)
> (In reply to comment #16)
> 
> > 
> > I haven't found the solution for world-writeable yet.    
> 
> 
> Try
> 
> 
> %cmake \
>  -DCMAKE_VERBOSE_MAKEFILE=OFF \
>  -DCMAKE_BUILD_TYPE:STRING="Release" \
>  -DLIBGCAL_INCLUDE_DIR=%{_includedir}/libgcal
> make %{?_smp_mflags}
> chmod 644 contacts/ui_GoogleData.h calendar/ui_GoogleData.h
> 
> %install
> rm -rf %{buildroot}
> make install DESTDIR=%{buildroot}
> %find_lang akonadi_gcal_resource    

Yeah, that workaround does it. I was trying to find the setting in the source, but it's fine with that as well. Thanks Leigh.

SPEC Url: http://thomasj.fedorapeople.org/reviews/akonadi-googledata.spec
SRPM Url:http://thomasj.fedorapeople.org/reviews/akonadi-googledata-1.1.0-2.fc13.src.rpm

[thomas@tusdell SPECS]$ rpmlint akonadi-googledata.spec ../SRPMS/akonadi-googledata-1.1.0-1.fc13.src.rpm ../RPMS/x86_64/akonadi-googledata-*1.1.0*
akonadi-googledata.src: W: spelling-error %description -l en_US kde -> ked, de, ode
akonadi-googledata.src: W: spelling-error %description -l en_US joe -> Joe, hoe, jor
akonadi-googledata.x86_64: W: spelling-error %description -l en_US kde -> ked, de, ode
akonadi-googledata.x86_64: W: spelling-error %description -l en_US joe -> Joe, hoe, jor
akonadi-googledata.x86_64: W: no-manual-page-for-binary akonadi_gcal_resource
akonadi-googledata.x86_64: W: no-manual-page-for-binary akonadi_googledata_resource
3 packages and 1 specfiles checked; 0 errors, 6 warnings.
Comment 19 Gianluca Cecchi 2010-09-09 03:47:29 EDT
Created attachment 446157 [details]
Output error from rpmbuild -bb akonadi-googledata.spec

Any hints for compiling at my F13 x86_64, updated as of today?
I downloads source rpm at the link provided....
Thanks,
Gianluca
Comment 20 Gianluca Cecchi 2010-09-09 04:19:40 EDT
Hello,
the problem was due to not having gcc-c++ installed.
After that now buildes ok.

Originally I tried:
rpmbuild -bb akonadi-googledata.spec

and it said I needed akonadi-devel, libgcal-devel, kdepimlibs-devel

So I did:
yum install akonadi-devel libgcal-devel kdepimlibs-devel

The dependency tree gave the packages below but not gcc-c++:
Installed:
  akonadi-devel.x86_64 0:1.3.1-4.fc13   kdepimlibs-devel.x86_64 0:4.4.5-1.fc13  
  libgcal-devel.x86_64 0:0.9.5-1.fc13  

Dependency Installed:
  attica-devel.x86_64 0:0.1.2-2.fc13                                            
  autoconf.noarch 0:2.65-1.fc13                                                 
  automake.noarch 0:1.11.1-1.fc13                                               
  automoc.x86_64 0:1.0-0.14.rc3.fc13                                            
  boost.x86_64 0:1.41.0-9.fc13                                                  
  boost-date-time.x86_64 0:1.41.0-9.fc13                                        
  boost-devel.x86_64 0:1.41.0-9.fc13                                            
  boost-graph.x86_64 0:1.41.0-9.fc13                                            
  boost-iostreams.x86_64 0:1.41.0-9.fc13                                        
  boost-python.x86_64 0:1.41.0-9.fc13                                           
  boost-regex.x86_64 0:1.41.0-9.fc13                                            
  boost-serialization.x86_64 0:1.41.0-9.fc13                                    
  boost-signals.x86_64 0:1.41.0-9.fc13                                          
  boost-test.x86_64 0:1.41.0-9.fc13                                             
  boost-wave.x86_64 0:1.41.0-9.fc13                                             
  bzip2-devel.x86_64 0:1.0.5-6.fc12                                             
  cmake.x86_64 0:2.8.0-3.fc13                                                   
  fontconfig-devel.x86_64 0:2.8.0-1.fc13                                        
  freetype-devel.x86_64 0:2.3.11-3.fc13                                         
  gamin-devel.x86_64 0:0.1.10-7.fc13                                            
  kdelibs-devel.x86_64 6:4.4.5-1.fc13                                           
  keyutils-libs-devel.x86_64 0:1.2-6.fc12                                       
  krb5-devel.x86_64 0:1.7.1-10.fc13                                             
  libICE-devel.x86_64 0:1.0.6-2.fc13                                            
  libSM-devel.x86_64 0:1.1.0-7.fc12                                             
  libX11-devel.x86_64 0:1.3.1-3.fc13                                            
  libXScrnSaver-devel.x86_64 0:1.2.0-1.fc12                                     
  libXau-devel.x86_64 0:1.0.5-1.fc12                                            
  libXcomposite-devel.x86_64 0:0.4.1-2.fc13                                     
  libXcursor-devel.x86_64 0:1.1.10-4.fc13                                       
  libXdamage-devel.x86_64 0:1.1.2-2.fc13                                        
  libXext-devel.x86_64 0:1.1.2-2.fc13                                           
  libXfixes-devel.x86_64 0:4.0.4-2.fc13                                         
  libXft-devel.x86_64 0:2.1.14-1.fc13                                           
  libXi-devel.x86_64 0:1.3.2-1.fc13                                             
  libXinerama-devel.x86_64 0:1.1-2.fc13                                         
  libXpm-devel.x86_64 0:3.5.8-2.fc13                                            
  libXrandr-devel.x86_64 0:1.3.0-5.fc13                                         
  libXrender-devel.x86_64 0:0.9.5-1.fc13                                        
  libXt-devel.x86_64 0:1.0.7-1.fc13                                             
  libXtst-devel.x86_64 0:1.0.99.2-3.fc12                                        
  libXv-devel.x86_64 0:1.0.5-1.fc13                                             
  libXxf86misc-devel.x86_64 0:1.0.2-1.fc13                                      
  libXxf86vm-devel.x86_64 0:1.1.0-1.fc13                                        
  libacl-devel.x86_64 0:2.2.49-6.fc13                                           
  libattr-devel.x86_64 0:2.4.44-3.fc13                                          
  libcom_err-devel.x86_64 0:1.41.10-7.fc13                                      
  libcurl-devel.x86_64 0:7.20.1-4.fc13                                          
  libdrm-devel.x86_64 0:2.4.21-2.fc13                                           
  libidn-devel.x86_64 0:1.16-1.fc13                                             
  libjpeg-devel.x86_64 0:6b-46.fc12                                             
  libpng-devel.x86_64 2:1.2.44-1.fc13                                           
  libselinux-devel.x86_64 0:2.0.90-5.fc13                                       
  libsepol-devel.x86_64 0:2.0.41-3.fc13                                         
  libxcb-devel.x86_64 0:1.5-1.fc13                                              
  libxkbfile-devel.x86_64 0:1.0.6-2.fc13                                        
  mesa-libGL-devel.x86_64 0:7.8.1-8.fc13                                        
  mesa-libGLU-devel.x86_64 0:7.8.1-8.fc13                                       
  openssl-devel.x86_64 0:1.0.0a-1.fc13                                          
  phonon-devel.x86_64 0:4.4.2-1.fc13                                            
  qt-devel.x86_64 1:4.6.3-8.fc13                                                
  shared-desktop-ontologies-devel.noarch 0:0.4-1.fc13                           
  soprano-devel.x86_64 0:2.4.3-2.fc13                                           
  strigi-devel.x86_64 0:0.7.2-5.fc13                                            
  xorg-x11-proto-devel.noarch 0:7.4-36.fc13                     

Probably gcc-c++ has to be added in rpmbuild requirements for akonadi-googledata.spec ?

Now I'll try the package itself...
Comment 21 Thomas Janssen 2010-09-09 04:45:08 EDT
Hint #1: Never compile stuff as root! You compile always as user and install the created packages then as root.

Dunno if that affects the building in your case or if you already compiled other stuff and broke something.

It compiles fine locally on my box F13, up-to-date with, updates, updates-testing plus unstable and testing kde-redhat repos enabled. It builds as well fine in koji. Grab the RPM from the following link:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2457094

BTW, you could as well grab the SRPM and run as your user: 
rpmbuild --rebuild akonadi-googledata-1.1.0-2.fc13.src.rpm

Best regards
Thomas
Comment 22 Thomas Janssen 2010-09-09 04:49:27 EDT
Ok, i expected you have the very least packages installed to build stuff.

Nope, there's no need to add gcc-c++ to the spec:
http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires

see the 'Exception' section.
Comment 23 Gianluca Cecchi 2010-09-09 05:29:44 EDT
Yes I had the same error, also compiling as a normal user, due to missing gcc-c++.
OK, I'm not an rpmbuild expert; I read about gcc-c++ as a minimal requirement: now I know it, thanks.
Now I compiled fine as a normal user and then installed as root.

It works. Things tested:
- my past and future entries already in gmail has been filled in korganizer at first sync (no pre-existing entries in korganizer, so not tested the other direction)
- while in kmail, accept an invitation arrived from an MS Exchange user using Outlook (my exchange account in kmail is instead configured as an imap account) 
Value is added in korganizer and also in gmail. Also my iphone gets it automatically too (as it is synchronized with my gmail account too)
- new entry created in korganizer and it flows inside gmail (and iphone for what it matters). Is there a delay set/customizable or should it be immediate as soon as the network connecton is available in my pc?
- new entry created in gmail doesn't appear in korganizer (at least after some minutes). tried both close/open korganizer and using view--> refresh option in korganizer without success.
Instead I see it at my iphone (configured not in push mode but that once I open calendar it synchronizes)

Let me know if there is some tweak from push configuration in direction

gmail ---> korganizer

First sync was ok, but not new events created in gmail...
Going to test more things. let me know if you want me to test other ones.

My config is with stock fedora packages + virt-preview repo for fedora
Some packages' detail:

kdepim-4.4.5-1.fc13.x86_64
libgcal-0.9.5-1.fc13.x86_64
akonadi-googledata-1.1.0-2.fc13.x86_64

let me know if you need other packages' versions.
Comment 24 Jason Tibbitts 2010-11-16 11:29:51 EST
What's the status of this package?  There's a whole lot of discussion above but I'm not sure if the package from comment 18 is the one that should be reviewed.

Unfortunately I'm probably the worst person to review this, not using gmail, but perhaps I can scare up someone from the KDE SIG.
Comment 25 Thomas Janssen 2010-11-17 17:37:43 EST
The package from comment 18 is indeed the one. I will update it tomorrow to the latest.
Comment 27 Dmitrij S. Kryzhevich 2010-12-03 07:12:00 EST
Thomas, if you want to make request instead of Mario Ceresa, you should open new bug entry and mark this one as dublicate.

But befor you'l do that:
You not need to mark boost as Requires, as it akonadi dependece.
You not need to mark akonadi as Requires, as you have akonadi-devel in BuilRequires and it will be added automaticaly.
It does not compiled on my F14 machine. Logs: http://fpaste.org/KCco/
You not need to define BuildRoot tag on current Fedora releases until you want this package in EPEL.
You not need %clean section on current Fedora releases until you want this package in EPEL.
You not need rm -rf of buildroot in the begin of %install section on current Fedora releases until you want this package in EPEL.

Just common sence: I don't think it is a good idea to use first person in description (I highly recommend... and so on).

And I will take thise review.
Comment 28 Dmitrij S. Kryzhevich 2010-12-03 07:18:10 EST
> You not need to mark boost as Requires, as it akonadi dependece.
Ah, ok, It is a akonadi-googledata dependence too. But still, you not need it as you will get it automaticaly.
Comment 29 Dmitrij S. Kryzhevich 2010-12-03 07:45:33 EST
(In reply to comment #27)
> It does not compiled on my F14 machine. Logs: http://fpaste.org/KCco/

Add explicitly in BuildRequires version for libgcal-devel >=0.9.6
Comment 30 Sergio Monteiro Basto 2010-12-03 11:25:52 EST
(In reply to comment #29)
> (In reply to comment #27)
> > It does not compiled on my F14 machine. Logs: http://fpaste.org/KCco/
> 
> Add explicitly in BuildRequires version for libgcal-devel >=0.9.6

yeah , 
http://code.google.com/p/libgcal/issues/detail?id=73

akonadi-googledate-1.2.0 just build with libgcal-0.9.6
Comment 31 Nicolas Troncoso Carrere 2011-01-09 15:05:16 EST
What is the status of this package?

If it is approved it will be included in Fedora 15?

As testing goes, I built it for my Fedora 13, it appears to be working since I got full synchronization with google <-> and Akonadi/Kaddressbook.
Comment 32 Jason Tibbitts 2011-01-09 15:12:50 EST
Somebody has to review the package before it can be included.
Comment 33 Dmitrij S. Kryzhevich 2011-01-10 01:12:46 EST
(In reply to comment #32)
> Somebody has to review the package before it can be included.

See comment #27.

Anybody wanted to take over this package have to open NEW review request and mark THIS one as DUPLICATE. One could use existing spec (keeping original %changelog) to make the process easier and faster.

I will take that new review request (as I said before).
Comment 34 Jason Tibbitts 2011-01-10 13:48:08 EST
I'm just going to close this, then.
Comment 35 Nicolas Troncoso Carrere 2011-01-10 14:34:52 EST
I' willing to take over this package. Anything special I should do to make it possible?
Comment 36 Sergio Monteiro Basto 2011-03-14 23:01:34 EDT
(In reply to comment #35)
> I' willing to take over this package. Anything special I should do to make it
> possible?

Open a new request ?!

Hi, have you open a new request here in bugzilla ? if yes tell us where please
Comment 37 Dmitrij S. Kryzhevich 2011-03-23 05:49:38 EDT
(In reply to comment #35)
> I' willing to take over this package. Anything special I should do to make it
> possible?

1) Open new review request.
2) Mark this one as *dublicate* for your request.
Comment 38 Mario Santagiuliana 2011-06-05 18:40:49 EDT
Hi to all, I want to create new rpm package for akonadi-googledata. I create a srpm and a rpm for fedora 14 64 bit. Tomorrow I hope to create packages for other version and architecture.

You can check my work here:
http://marionline.fedorapeople.org/packages/akonadi-googledata/

All work fine but when I start to use akonadi google calendar resource I obtain "Unable to fetch item from backend". I don't undestand why...

Can you please give me some feedback?
I should open a new request here on bugzilla?
Comment 39 Dmitrij S. Kryzhevich 2011-06-06 01:03:46 EDT
Looking at your comment I would like to say 2 things:

1) Sure!
2) Finaly!

After openning new review request mark this one as dublicate, please.
Comment 40 Mario Santagiuliana 2011-06-06 08:23:49 EDT
I open new request here:
https://bugzilla.redhat.com/show_bug.cgi?id=711058

I change the url of packages, they can be found here:
http://marionline.fedorapeople.org/packages

Please, give me some feedback, thank you
Comment 41 Nicola Soranzo 2011-06-06 08:35:43 EDT

*** This bug has been marked as a duplicate of bug 711058 ***

Note You need to log in before you can comment on or make changes to this bug.